close
企業趨勢資訊保安

Joomla SQL 植入式攻擊漏洞存在兩年 黑客可獲管理員權限

現時網頁的架設大多會用內容管理系統(CMS),除了 WordPress 之外,Joomla 亦是常用的一種。但原來 Joomla 系統有一個漏洞存在了接近兩年,直到最新的 3.4.5 版推出才被修復。

joomla

 

這個漏洞屬於 SQL 資料隱碼攻擊(SQL Injection)。受影響的 Joomla 由 3.2 版開始,於 2013 年 11 月推出,直到上星期四推出的 (22/10)3.4.5 版才修復。據統計,現時使用 Joomla 搭建的網站有 280萬個。如果網站有SQL 資料隱碼攻擊漏洞,黑客可以在搜尋框中輸入 SQL 指令,這樣伺服器端就會執行那些指令,從而造成破壞。

發現這個漏洞的研究人員 Asaf Orpani 指,這個漏洞是在 Joomla 的核心模組找到,無需要任何插件,因此所有使用 Joomla 3.2 或以上版本搭建的網站都受影響。這個漏洞已被記錄為 CVE-2015-7297、 CVE-2015-7857 以及 CVE-2015-7858。

這個漏洞會把指派給管理員的 Cookie 的 Session ID 透露。黑客可以利用這個漏洞獲取 Cookie 然後將之載入瀏覽器。這樣他們便可以獲取權限,存取伺服器中受限制的部分。因此,仍然使用舊版 Joomla 的網站應盡快升級。

Source : Arcs Technica

 

Tags :Joomla
Dennis Ma

The authorDennis Ma

為香港讀者分享各種 IT 新聞及趨勢,如企業動態、保安消息(勒索軟件、程式漏洞等)、未來科技(AR、VR、3D打印等。)、電子商貿;亦專門分享 SEO、網頁設計、社交平台推廣等心得。

Leave a Response